package vip.xiaonuo.coldchain.core.alarm.service.messagepush.impl;

import org.springframework.stereotype.Service;
import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarm;
import vip.xiaonuo.coldchain.core.alarm.service.messagepush.MessagePushService;

/**
 * 钉钉通知推送服务
 *
 * @author jackzhou
 */
@Service("DINGTALK")
public class DingTalkMessagePushService implements MessagePushService {

    @Override
    public boolean sendAlarmMessage(SensorAlarm alarm/*, SensorAlarmUser user*/) {
        System.out.println("发送钉钉通知：");
        System.out.println("消息内容：" + alarm.getMessage());
        System.out.println("发送渠道：" + alarm);
        return false;
    }
}
